Bug 730305 - no file /etc/notification/generated/customers.ini No such file or directory at /usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/Notif/NotificationIni.pm line 86.
Summary: no file /etc/notification/generated/customers.ini No such file or directory a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 1.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: 462714 space17
TreeView+ depends on / blocked
 
Reported: 2011-08-12 12:36 UTC by Jan Hutař
Modified: 2012-05-07 13:16 UTC (History)
1 user (show)

Fixed In Version: NPalert-1.126.29-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 642139
Environment:
Last Closed: 2012-03-07 09:53:59 UTC


Attachments (Terms of Use)

Description Jan Hutař 2011-08-12 12:36:11 UTC
Description of problem:
I see this error message in /var/log/nocpulse/NotifLauncher-error.log log-file:

2011-08-11 02:19:28  no file /etc/notification/generated/customers.ini No such file or directory at /usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/Notif/NotificationIni.pm line 86.


Version-Release number of selected component (if applicable):
SW nightly 2011-08-11


How reproducible:
1 of 1


Steps to Reproduce:
1. Enable Monitoring & Monitoring Scout


Actual results:
Error message in the log


Expected results:
There should not be any error

Comment 2 Jan Pazdziora 2011-12-09 12:19:15 UTC
I don't see error about customers.ini in the error log with Spacewalk 1.6 / nightly as of today.

Can you check if you still get the problem on the latest Spacewalk?

Comment 3 Jan Hutař 2012-01-18 09:59:43 UTC
I still see the bug there (after I have enabled Monitoring and MonitoringScout). Tested on SWnightly/OracleXE installed 2012-01-17. But when I have disables Enforcing SELinux with `setenforce 0`, I do not see that error.

This was probably incorrect reproducer as Monitoring is not supposed to run with SELinux Enforcing as of now. Please close the bug.

Comment 4 Jan Pazdziora 2012-01-27 15:50:37 UTC
Fixed in Spacewalk master, b55cb176e84c519a9dcd2f68f7e75521205f98d7.

It turned out to be a race condition between /usr/bin/generate-config and /usr/bin/notif-launcher.

The message will now be

  Customers not yet generated by generate-config, sleeping for a while.

generated by notif-launcher every five seconds upon startup.

Comment 5 Jan Pazdziora 2012-01-27 15:52:52 UTC
Also, the message is now in

  /var/log/nocpulse/notif-launcher.log

not in

  /var/log/nocpulse/NotifLauncher-error.log

as it is now understood and handled situation.

Comment 6 Jan Pazdziora 2012-03-07 09:53:59 UTC
Spacewalk 1.7 has been released:

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes17


Note You need to log in before you can comment on or make changes to this bug.